# Note this is NOT a relocatable thing :)

Name:		evolution
Summary:	Integrated GNOME mail client, calendar and address book.
Version: 	0.9
Release:	5mdk
Copyright: 	GPL
Group:		Networking/Mail
Source0: 	http://www.helixcode.com/apps/evolution-preview/%{name}-%{version}.tar.bz2
# (fc) 0.8-6mdk movemail program (from emacs, modified to compiled without emacs sources)
Source1:    evolution-movemail.tar.bz2
Source2:	evolution_48.xpm.bz2
Source3:	evolution_32.xpm.bz2
Source4:	evolution_16.xpm.bz2
# (fc) 0.9-2mdk patch to correctly initialize gconf in addressbook
Patch0:		evolution-0.9-gconf.patch.bz2
# (fc) 0.8-9mdk patch to remove some warnings
Patch3:		evolution-0.8-gcc296.patch.bz2
# (fc) 0.9-2mdk patch to prevent addressbook crashes 
Patch4:		evolution-0.9-addressbook.patch.bz2
# (fc) 0.9-5mdk enable gpg support by default
Patch5:		evolution-0.9-gpg.patch.bz2
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires: bonobo >= 0.37
#pulled by libraries dependency
#libglade, libunicode >= 0.4

# (fc) 0.8-5mdk implicit dependency is not enough
Requires: gnome-vfs >= 1.0

#needed for html composer
Requires: gtkhtml >= 0.8.2
#Requires: gnome-print >= 0.24
#Requires: gal >= 0.2.1 
Requires: bug-buddy
Requires: gnupg
Provides: camel
BuildRequires: libbonobo2-devel, libglade-devel, libunicode0-devel
BuildRequires: libgnome-vfs0-devel, libgtkhtml7-devel libgnomeprint15-devel
BuildRequires: libgal4-devel, gnome-pilot-devel >= 0.1.55
BuildRequires: libldap1-devel libGConf1-devel
BuildConflicts: libldap2-devel

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool. 
%package devel
Summary:	Libraries and include files for developing Evolution components
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Provides: camel-devel
%description devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop applications
using Evolution's libraries.

%package pilot
Summary:	Evolution conduits for gnome-pilot
Group:		Communications
Requires:	%{name} = %{version}
Requires: gnome-pilot >= 0.1.55

%description pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to 
synchronize your Palm with Evolution


%prep
%setup -q -a 1
%patch0 -p1 -b .gconf
%patch3 -p1 -b .gcc296
%patch4 -p1 -b .addressbook
%patch5 -p1 -b .gpg

#needed by patch0
automake

%build

%configure --with-movemail=%{_libdir}/evolution/movemail --enable-ldap
# don't compile pilot support, we don't have a working abs sync pilot conduit
# --enable-pilot-conduits=yes

#doesn't seem to support parallel compilation
make

# 0.8-6mdk generate movemail
( cd movemail ; gcc $RPM_OPT_CFLAGS movemail.c -o movemail )

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_libdir}/evolution
cp movemail/movemail $RPM_BUILD_ROOT%{_libdir}/evolution
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}  $RPM_BUILD_ROOT%{_liconsdir}  $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_liconsdir}/evolution.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/evolution.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_miconsdir}/evolution.xpm
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/evolution" \
	icon="evolution.xpm" \
	needs="X11" \
	section="Networking/Mail" \
	title="Evolution" \
	longtitle="GNOME mailer, calendar, contact manager and communications tool"
EOF


%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
%{update_menus}
  
%postun
/sbin/ldconfig
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%attr(2755,root,mail) %{_libdir}/evolution/movemail
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/camel-providers
%dir %{_libdir}/evolution/camel-providers/%{version}
%{_libdir}/evolution/camel-providers/*/*.so*
%{_libdir}/evolution/camel-providers/*/*.urls
%{_datadir}/gnome/help/evolution
%{_datadir}/gnome/apps/*/*
%{_datadir}/gnome/ui/*.xml
%{_datadir}/evolution
%{_datadir}/oaf/*
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_datadir}/images/evolution
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_menudir}/%{name}

%files devel

%defattr(-, root, root)
%{_libdir}/libca*.a
%{_libdir}/libca*.so
%{_libdir}/libca*.la
%{_libdir}/libe*.a
%{_libdir}/libe*.so
%{_libdir}/libe*.la
%{_libdir}/evolution/camel-providers/*/*.a
%{_libdir}/evolution/camel-providers/*/*.so
%{_libdir}/evolution/camel-providers/*/*.la
%{_includedir}/*.h
%{_includedir}/camel
# %{_includedir}/composer/*.h
%{_includedir}/ename
%{_includedir}/evolution
%{_datadir}/idl/*.idl
%{_datadir}/gnome/html/*


#%files pilot
#%defattr(-, root, root)
#%{_libdir}/gnome-pilot/conduits/*.so
#%{_datadir}/gnome-pilot/conduits/*

%changelog
* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Patch 5 : enable activating gpg support by default

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-4mdk
- Update patch 0 to allow importing mailbox

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Correct dependencies and build dependencies

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Compiled with ldap support
- Patch 0 : initialize gconf before gtkhtml
- Patch 4 : correct addressbook #define
- Don't generate pilot conduits, since we don't have a working abs sync conduit

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9
- Remove patches 1 & 2

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-9mdk
- patch 2 to compile with latest version of gal
- Update patch 0 again
- Rebuilt against latest gnome-vfs and gnome-print

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-8mdk
- Update patch 0 to correct addressbook crashes

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-7mdk
- Rebuild against gtkhtml 0.8.2

* Thu Jan 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-6mdk
- add movemail program (extract from Emacs) and remove setgid on evolution-mail

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-5mdk
- Add explicit dependency on gnome-vfs

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Change group/perms for evolution-mail to be able to access mail spool mbox

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- patch to compile with last bonobo
- Recompile since gtkhtml now use gconf

* Mon Dec 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Really remove dependency on old libstdc++

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6-2mdk
- simple rebuild (new libstdc++)

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Disable LDAP (OpenLDAP 2.0 not supported yet)

* Mon Sep 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Fri Sep 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- add missing icons

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5 (+ merge from Helix 0mdk_helix_1)

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1 (merge from Helix 0_helix_1)
- no longer conflict with gnome-pim

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- add dependency on gnome-vfs
- add menu entry

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1
- first mandrake package : BM + macroszification
- Build without GConf

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file
